phpMyAdmin

Folgende Schritte sind zum Aktualisieren nötig:

  1. phpMyAdmin muss bereits installiert sein.
  2. Ins Verzeichnis /usr/share wechseln: cd /usr/share
  3. Das Verzeichnis entfernen oder umbenennen: rm -rf phpmyadmin / mv phpmyadmin phpmyadmin.bak
  4. Die neuste Version herunterladen und auf den Server schieben: www.phpmyadmin.net/downloads/
  5. Datei entpacken: unzip phpMyAdmin-x.x.x-all-languages.zip
  6. Aufräumen: rm phpMyAdmin-x.x.x-all-languages.zip


Nach der Anmeldung würden nun folgende Fehler geschmissen werden:

  1. the configuration file now needs a secret passphrase (blowfish_secret). phpmyadmin
  2. The $cfg['TempDir'] (./tmp/) is not accessible. phpMyAdmin is not able to cache templates and will be slow because of this.


Damit dies nicht passiert, muss die Datei /usr/share/phpmyadmin/config.inc.php angelegt und bearbeitet werden.
Hierfür kann eine Kopie der Datei config.sample.inc.php verwendet werden.

Innerhalb der Datei muss nun ein "Blowfish Secret" angegeben werden:

/*
 * This is needed for cookie based authentication to encrypt password in
 * cookie
 */
$cfg['blowfish_secret'] = ''; /* YOU MUST FILL IN THIS FOR COOKIE AUTH! */


Dieses kann z.B. hier erstellt werden.


Zum Schluss wird noch ein tmp Verzeichnis benötigt:

cd /usr/share/phpmyadmin
mkdir tmp
chown -R www-data:www-data tmp


Fertig!